Skip to main content
PUT
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
password
Update password login config
curl --request PUT \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/login/password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hash_method": "<string>",
  "enabled": true,
  "rate_limit_login_ip": {
    "ttl": 123,
    "limit": 123
  },
  "rate_limit_login_identifier": {
    "ttl": 123,
    "limit": 123
  },
  "password_compliancy": {
    "min_length": 123,
    "max_length": 123,
    "uppercase": 123,
    "lowercase": 123,
    "numbers": 123,
    "symbols": 123
  }
}
'
{
  "config": {
    "hash_method": "<string>",
    "enabled": true,
    "rate_limit_login_ip": {
      "ttl": 123,
      "limit": 123
    },
    "rate_limit_login_identifier": {
      "ttl": 123,
      "limit": 123
    },
    "password_compliancy": {
      "min_length": 123,
      "max_length": 123,
      "uppercase": 123,
      "lowercase": 123,
      "numbers": 123,
      "symbols": 123
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json
hash_method
string
required
Example:

"bcrypt"

enabled
boolean
required
Example:

true

rate_limit_login_ip
object
required
rate_limit_login_identifier
object
required
password_compliancy
object
required

Response

OK

config
object
required